Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.cms
Class KeyAgreeRecipientIdentifier

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cms.KeyAgreeRecipientIdentifier

All Implemented Interfaces:
  ASN1Choice, DEREncodable

    public class KeyAgreeRecipientIdentifier

extends ASN1Encodable
implements ASN1Choice

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`KeyAgreeRecipientIdentifier(IssuerAndSerialNumber issuerSerial)`
`KeyAgreeRecipientIdentifier(RecipientKeyIdentifier rKeyID)`

Method Summary
`static KeyAgreeRecipientIdentifier` `getInstance(ASN1TaggedObject obj, boolean explicit)` return an KeyAgreeRecipientIdentifier object from a tagged object.
`static KeyAgreeRecipientIdentifier` `getInstance(java.lang.Object obj)` return an KeyAgreeRecipientIdentifier object from the given object.
`IssuerAndSerialNumber` `getIssuerAndSerialNumber()`
`RecipientKeyIdentifier` `getRKeyID()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyAgreeRecipientIdentifier

    public KeyAgreeRecipientIdentifier(IssuerAndSerialNumber issuerSerial)

### KeyAgreeRecipientIdentifier

    public KeyAgreeRecipientIdentifier(RecipientKeyIdentifier rKeyID)

Method Detail

### getInstance

    public static KeyAgreeRecipientIdentifier getInstance(ASN1TaggedObject obj,
                                                          boolean explicit)

  return an KeyAgreeRecipientIdentifier object from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want.
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

### getInstance

    public static KeyAgreeRecipientIdentifier getInstance(java.lang.Object obj)

  return an KeyAgreeRecipientIdentifier object from the given object.

  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getIssuerAndSerialNumber

    public IssuerAndSerialNumber getIssuerAndSerialNumber()

### getRKeyID

    public RecipientKeyIdentifier getRKeyID()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       KeyAgreeRecipientIdentifier ::= CHOICE {
           issuerAndSerialNumber IssuerAndSerialNumber,
           rKeyId [0] IMPLICIT RecipientKeyIdentifier
       }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45